/**
       This file is part of Adguard for iOS (https://github.com/AdguardTeam/AdguardForiOS).
       Copyright © Adguard Software Limited. All rights reserved.
 
       Adguard for iOS is free software: you can redistribute it and/or modify
       it under the terms of the GNU General Public License as published by
       the Free Software Foundation, either version 3 of the License, or
       (at your option) any later version.
 
       Adguard for iOS is distributed in the hope that it will be useful,
       but WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
       GNU General Public License for more details.
 
       You should have received a copy of the GNU General Public License
       along with Adguard for iOS.  If not, see <http://www.gnu.org/licenses/>.
 */

import Foundation

extension Date{
    // return formated and localized string from date
    public func formatedString() -> String?{
        let dateFormatter = DateFormatter()
        dateFormatter.dateStyle = .medium
        dateFormatter.timeStyle = .none
        let id = Locale.current.identifier
        dateFormatter.locale = Locale(identifier: id)
        let dateString = dateFormatter.string(from: self)
        
        return dateString
    }
    
    // return formated and localized string from date
        public func formatedStringWithHoursAndMinutes() -> String?{
            let dateFormatter = DateFormatter()
            dateFormatter.dateStyle = .medium
            dateFormatter.timeStyle = .short
            let id = Locale.current.identifier
            dateFormatter.locale = Locale(identifier: id)
            let dateString = dateFormatter.string(from: self)
            
            return dateString
        }
}
